%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %%{_sysconfdir}/httpd/conf.d}}
Summary: A CERN ADFS setup or the mod_auth_mellon SAML 2.0 authentication_module
Name: cern-adfs-mod_auth_mellon
Version: 0.3
Release: 1%{?dist}
Group: System Environment/Daemons
Source0: auth_mellon_adfs_cern.conf
Source1: https://login.cern.ch/FederationMetadata/2007-06/FederationMetadata.xml
License: GPLv2+
Requires: mod_auth_mellon >= 0.8.0
Requires: httpd >= 2.2.15
Requires: mod_ssl >= 2.2.15
BuildArch: noarch
Obsoletes: mod_auth_mellon_cern
Provides:  mod_auth_mellon_cern

%description
auth_mellon_adfs_cern provides default configuration example
for CERN MS ADFS SAML 2.0 authentication.
%prep

%build

%install

mkdir -p %{buildroot}%{_httpd_modconfdir}/mellon
install -m 644 %{SOURCE0} %{buildroot}%{_httpd_modconfdir}/
install -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/mellon/

%files
%defattr(-,root,root)
%config(noreplace) %{_httpd_modconfdir}/auth_mellon_adfs_cern.conf
%config(noreplace) %{_httpd_modconfdir}/mellon/FederationMetadata.xml


%changelog
* Thu Apr 07 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.4
- configiration fixed (no ADFS_UPN overloading)
* Wed Dec 10 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- configuration fixes.

* Tue Dec 02 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial release.
